Subject: Fix way version of Python distribution is extracted from 'git describe'

Description

Current snf-common/synnefo/util/version.py extracts the python distribution version from the output of 'git describe' but fails if the latest tag

does not start with 'v':

snf-common/synnefo/util/version.py:    return "-".join(vcs_info()[3].lstrip('v').split("-")[:-1])

For example, if 'git describe' returns 'packaging/v0.8.3' or 'debian/v0.8.3', the python egg version produced is faulty ('packaging-0.8.3',

etc.).

Suggest to remove everything up to the initial '/'.

Associated revisions

Revision 1f91f93b - 02/22/2012 03:00 pm - Kostas Papadimitriou 

Fixed version extraction from git describe

Refs #2022

Revision 0fb30b27 - 02/23/2012 03:16 pm - Kostas Papadimitriou 

Fixed version extraction from git describe

Refs #2022

History

#1 - 02/09/2012 06:22 pm - Vangelis Koukis

Also, this seems to fail for "python setup.py install". The version is determined as "0.0.0".

#2 - 11/09/2012 12:24 pm - Kostas Papadimitriou

fixed in commit:0fb30b2

#3 - 11/09/2012 12:24 pm - Kostas Papadimitriou

- Status changed from Assigned to Feedback
